/*
 * Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * you may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.device.mgt.mobile.android.impl.util;

/**
 * Defines constants used by android plugin.
 */
public final class AndroidPluginConstants {

	//Properties related to AD_DEVICE table
	public static final String DEVICE_ID = "DEVICE_ID";
	public static final String GCM_TOKEN = "GCM_TOKEN";
	public static final String DEVICE_INFO = "DEVICE_INFO";
	public static final String SERIAL = "SERIAL";
	public static final String DEVICE_MODEL = "DEVICE_MODEL";
	public static final String DEVICE_NAME = "DEVICE_NAME";
	public static final String LATITUDE = "LATITUDE";
	public static final String LONGITUDE = "LONGITUDE";
	public static final String IMEI = "IMEI";
	public static final String IMSI = "IMSI";
	public static final String VENDOR = "VENDOR";
	public static final String OS_VERSION = "OS_VERSION";
	public static final String OS_BUILD_DATE = "OS_BUILD_DATE";
	public static final String MAC_ADDRESS = "MAC";

	//Properties related to AD_FEATURE table
	public static final String ANDROID_FEATURE_ID = "ID";
	public static final String ANDROID_FEATURE_CODE = "CODE";
	public static final String ANDROID_FEATURE_NAME = "NAME";
	public static final String ANDROID_FEATURE_DESCRIPTION = "DESCRIPTION";

	public static final class NotifierType {
		private NotifierType() {
			throw new AssertionError();
		}

		public static final String GCM = "GCM";
		public static final String LOCAL = "LOCAL";
	}

	public class MobilePluginConstants {
		public static final String MOBILE_DB_SCRIPTS_FOLDER = "cdm";
		public static final String MOBILE_CONFIG_REGISTRY_ROOT = "/_system/config";

		public static final String MEDIA_TYPE_XML = "application/xml";
		public static final String CHARSET_UTF8 = "UTF8";
		public static final String LANGUAGE_CODE_ENGLISH_US = "en_US";
		public static final String LANGUAGE_CODE_ENGLISH_UK = "en_UK";

	}
}